> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all fields in dataset



## OpenAPI

````yaml v2 get /datasets/{dataset_id}/fields
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /datasets/{dataset_id}/fields:
    get:
      tags:
        - datasets
      operationId: getFieldsForDataset
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of fields in the dataset
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetField'
        '403':
          $ref: '#/components/responses/ForbiddenError'
      security:
        - Auth:
            - datasets|read
components:
  schemas:
    DatasetField:
      type: object
      required:
        - name
        - type
      properties:
        description:
          description: Description of the field
          type: string
        hidden:
          description: Whether the field is hidden
          type: boolean
        name:
          description: Name of the field
          type: string
        type:
          description: Type of the field
          type: string
        unit:
          description: Unit of the field
          type: string
  responses:
    ForbiddenError:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
            example:
              code: 403
              message: Forbidden
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````